
///////////////////////////////////////////////////////////////////////////////  
//文件名称: WinManufactureBaseInfoEditor.xaml
//文件描述: 生产厂商基本信息维护
//创 建 者: xls
//创建日期: 2018/5/23 23:24:59
//版 本 号：1.0.0.0
////////////////////////////////////////////////////////////////////////////////

using System;
using System.Windows;
using FWindSoft.Wpf;
using FWindSoft.Wpf.Controls;

namespace Com.FirmLib.UI.Manufacturer
{
    /// <summary>
    /// WinManufactureBaseInfoEditor.xaml 的交互逻辑
    /// </summary>
    public partial class WinManufactureBaseInfo: NChildWindow
    {
        private VmManufactureBaseInfo m_Vm;
        public WinManufactureBaseInfo():this(new VmManufactureBaseInfo())
        {
            
        }
        public WinManufactureBaseInfo(VmManufactureBaseInfo vm)
        {
            InitializeComponent();
            this.m_Vm = vm;
            this.m_Vm.SetRefView(this);
            this.DataContext = this.m_Vm;
            EveryTimeLoad = true;
        }

        protected override void LoadData(LoadParameter parameter)
        {
            //初始化列表数据
            TryCatchWrapper.Handled(() => this.m_Vm.Init(parameter));
        }
        #region 界面关联事件
        private void btnOK_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                if (this.HasError())
                {
                    //MessageShow.Infomation("请修改错误输入项");
                    return;
                }
                //if (Execute())
                //{
                //    MessageShow.Infomation("");
                //    DialogResult = true;
                //}
            }
            catch (Exception ex)
            {
                //MessageShow.Show(ex);
            }
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
        #endregion
    }
}
